#
# spec file for package python-pyotherside
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without test
%define skip_python2 1
%define srcname pyotherside
Name:           python3-pyotherside
Version:        1.5.3
Release:        150500.1.2
Summary:        Asynchronous Python 3 Bindings for Qt 5
License:        ISC
Group:          Development/Languages/Python
Url:            http://thp.io/2011/pyotherside/
Source0:        https://github.com/thp/pyotherside/archive/%{version}.tar.gz
Patch0:         0001-Initialize-sys.argv.patch
Patch1:         0002-Update-plugins.qmltypes.patch
Patch2:         0003-Allow-calling-signals-from-Python.patch
Patch3:         0004-Add-support-for-QByteArray.patch
Provides:       pyotherside = %{version}-%{release}
BuildRequires:  libqt5-qtbase-devel
BuildRequires:  libqt5-qtdeclarative-devel
BuildRequires:  pkgconfig
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  xvfb-run
%endif
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(python3)

%description
A QML Plugin that provides access to a Python 3 interpreter from QML.

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
# disable qtquicktests
sed -i 's| qtquicktests||' pyotherside.pro

%build
qmake-qt5 PYTHON_CONFIG=python%{python3_version}-config CONFIG+="nosilent c++11" QMAKE_CXXFLAGS="%{optflags} -fvisibility=hidden -fvisibility-inlines-hidden"
make %{?_smp_mflags}

%install
make INSTALL_ROOT=%{buildroot} install

%if %{with test}
%check
xvfb-run -s '-screen 0 640x480x8 -extension RANDR' -a  ./tests/tests
%endif

%files
%doc README
%license LICENSE
%dir %{_libqt5_archdatadir}/qml/io/
%dir %{_libqt5_archdatadir}/qml/io/thp/
%{_libqt5_archdatadir}/qml/io/thp/pyotherside

%changelog
* Mon Apr 24 2023 dmueller@suse.com
- Rename package to avoid conflicts with the new Python Stack Proposal (jsc#PED-68)
* Wed Mar  8 2023 alarrosa@suse.com
- Fix build with SLE's python packages where %%py_ver is no longer
  used so replace that with %%python3_version.
- Use %%license
- Add patches from upstream to fix several issues fixed from 1.5.4
  to 1.5.6:
  * 0001-Initialize-sys.argv.patch
  * 0002-Update-plugins.qmltypes.patch
  * 0003-Allow-calling-signals-from-Python.patch
  * 0004-Add-support-for-QByteArray.patch
* Tue Apr 10 2018 t.gruner@katodev.de
- disable qtquicktests (debug files)
* Thu Jan 25 2018 t.gruner@katodev.de
- fix build for Leap (debug files)
* Thu Jan  4 2018 t.gruner@katodev.de
- cleanup spec file
* Fri Oct 27 2017 dmacvicar@suse.de
- update to 1.5.3
- disable python2
* Thu Jun  1 2017 t.gruner@katodev.de
- Initial release 1.5.1
